<?php

# заголовок, получение параметров
define('TITLE', 'Удаление'); $params = PARAMS;

# активация аккаунта
if (isset($params['param']) && isset($params['token'])) { 

# фильтрация параметров, установка данных
$id = $FUNC->filter($params['param'], 'int'); // ид
$token = $FUNC->filter($params['token'], 'var'); // токен

# процедура удаления аккаунта
if (db_exist($DB, 'tokens', 'id', array('time;>' => time(), 'token' => $token, 'type' => 'remove', 'user' => $id))) {
$user = db_output($DB, 'users', 'avatar', array('id' => $id)); // пользователь, аватар

# удаление всех данных пользователя
db_delete($DB, 'animal', array('user' => $id)); // животные
db_delete($DB, 'auths', array('user' => $id)); // авторизации
db_delete($DB, 'contacts', array('user' => $id)); // контакты
db_delete($DB, 'contacts', array('whom' => $id)); // контакты
db_delete($DB, 'garden', array('user' => $id)); // растения
db_delete($DB, 'gifts', array('whom' => $id)); // подарки
db_delete($DB, 'payments', array('user' => $id)); // платежи
db_delete($DB, 'settings', array('id' => $id)); // настройки
db_delete($DB, 'statistic', array('id' => $id)); // статистика
db_delete($DB, 'storage', array('user' => $id)); // склад
db_delete($DB, 'tasks', array('user' => $id)); // задания
db_delete($DB, 'technic', array('user' => $id)); // техника
db_delete($DB, 'tokens', array('user' => $id)); // токены
db_delete($DB, 'users', array('id' => $id)); // аккаунт
if ($user['avatar'] != 'none') unlink(ROOT .'design/avatars/'. $user['avatar'] .'.jpg'); // аватар

# удаление сообщений из чата
if (db_exist($DB, 'chat', 'id', array('user' => $id))) db_delete($DB, 'chat', array('user' => $id)); // свои
if (db_exist($DB, 'chat', 'id', array('reply' => $id))) db_update($DB, 'chat', array('reply' => 0), array('reply' => $id)); // ответы

# удаление диалогов, почта
while (db_exist($DB, 'dialogs', 'id', array('user' => USER['id']))) {
$dialog = db_output($DB, 'dialogs', 'id', array('user' => USER['id']));
db_delete($DB, 'mail', array('dialog'=>$dialog['id'])); } // первые
while (db_exist($DB, 'dialogs', 'id', array('reply' => USER['id']))) {
$dialog = db_output($DB, 'dialogs', 'id', array('reply' => USER['id']));
db_delete($DB,'mail', array('dialog' => $dialog['id'])); } // вторые

# удаление сообщений, почта 
db_delete($DB, 'dialogs', array('user' => USER['id'])); // первые
db_delete($DB, 'dialogs', array('reply' => USER['id'])); // вторые

# переадресация в начало
$FUNC->go('/start'); } }

# определение данных
$refresh = $FUNC->random(8, true); // случайное число
$delete = (USER['email'] == NULL || USER['pass'] == NULL) ? true : false; // удаление
$removed = (db_exist($DB, 'tokens', 'id', array('time;>' => time(), 'type' => 'remove', 'user' => USER['id']))) ? true : false; // наличие токена

?>